<%----------------------Logic for error messages ----------------------------------------------------%>
<c:set var="errorMessageFirstLine" value="${bookingComponent.errorMessage}"/>
<c:set var="errorMessageSecondLine" value="Please check these details are correct"/>
<c:set var="hideSecondLine" value="${empty bookingInfo.errorFields}"/>
<c:set var="hideErrorMessage" value="true"/>
<c:forTokens var="errorField" items="Card Type|Card Number|Expiry Date|Name On Card|Issue Number|Security Code" delims="|" >
   <c:set var="fieldName" value="${fn:join(fn:split(errorField, ' '), '')}"/>
   <c:if test="${fn:containsIgnoreCase(bookingInfo.errorFields,fieldName)}">
      <c:set var="hideSecondLine" value="true"/>
      <c:set var="hideErrorMessage" value="false"/>
   </c:if>
</c:forTokens>
<%-----------------*****Logic for error messages *****-----------------------------------------------%>

<%----------------------Client side and Server side errors-------------------------------------------%>
<div id="errorSummary" class="errorSummary <c:if test="${hideSecondLine}">hide</c:if>">
   <h3><c:out value="${errorMessageSecondLine}" escapeXml="false"/></h3>
   <ul id="topError">
   </ul>
</div>
<%--The below check for promotional code is added for not showing the promocode related server side error message on refresh of the page. --%>
<div id="commonError" class="commonErrorSummary <c:if test="${(empty errorMessageFirstLine) || (not empty bookingInfo.errorFields && hideErrorMessage) || fn:contains(errorMessageFirstLine, 'Promotional') || fn:contains(errorMessageFirstLine, 'PROMOTIONAL') || fn:contains(errorMessageFirstLine, 'promotional')}">hide</c:if>">
   <h3><c:out value="${errorMessageFirstLine}" escapeXml="false"/></h3>
</div>
<%----------------------Client side and Server side errors-------------------------------------------%>